
#pragma once

#include <cstdint>
#include <png.h>
#include "TCPSocket.h"

#define WM_SC_SYSMENUABOUT           0x1110 //< Arbitrary; Must be < 0xF000
#define WM_SC_SYSMENUPASTEWIN32      (WM_SC_SYSMENUABOUT + 1)
#define WM_SC_SYSMENUREDIRECTPRINTER (WM_SC_SYSMENUABOUT + 2)
#define WM_SC_SYSMENUPRINTSCREEN     (WM_SC_SYSMENUABOUT + 3)

namespace SysMenu
{
    void Setup();

    void PasteClipboard(bool pressed = true);
    void PasteClipboardTick();

    void PrinterRedirectToggle(bool pressed = true);
    void PrinterRedirectPortSet(uint32_t port);
    
    void PrintScreen(bool pressed = true);
    void PrintScreenPortSet(uint32_t port);
    
    class PrintScreenSender
    {
        TCPSocket _socket;
        bool      _structsOk;
        static void png_rw   (png_structp   png, png_bytep data, png_size_t size);
        static void png_flush(png_structp png);
        
        public:
            PrintScreenSender(png_structp png_ptr);
            operator bool() const { return _socket.IsValid() && _structsOk; }
    };
}

